summaryrefslogtreecommitdiff
path: root/bsp
diff options
context:
space:
mode:
Diffstat (limited to 'bsp')
-rwxr-xr-xbsp/update-targets.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/bsp/update-targets.sh b/bsp/update-targets.sh
index c4c90cb..8533619 100755
--- a/bsp/update-targets.sh
+++ b/bsp/update-targets.sh
@@ -69,6 +69,8 @@ update_target() {
TARGET=$1
echo "Updating target $TARGET"
+
+ ../scripts/fixup-dts --dts $TARGET/$DTS_FILENAME || die "Failed to check $TARGET/$DTS_FILENAME for missing elements"
# Compile temporary .dtb
$DTC -I dts -O dtb -o $TARGET/$DTB_FILENAME $TARGET/$DTS_FILENAME || die "Failed to compile $TARGET/$DTS_FILENAME to dtb"